---
id: log-config-delete
title: "Delete a log configuration"
description: "Delete a specific log configuration by its ID."
sidebar_label: "Delete a log configuration"
hide_title: true
hide_table_of_contents: true
api: eJzdVt9v2zYQ/leIe2oB1Xbb5EVvWZJhGfIQtC5WIAmCM3mW2FKkQp6yeIb+9+IkxZbibOsGbAPmB1oSjnffffdzC4l0Ey1vIL/ewoowUjxpuIT8+ra9zcBQ0tHWbIOHHM7IEZNClWrSdm21cqFQOvi1LZqIIqVWG2U5qYuzGWTAWCTIr+FyJwa3GTy+8Y1ztUNeh1hBvgUdqgq9ufNYEeQwd6GYT9RCm0GoqX+5MJCDC8VdL5KbDhZkUGPEiphi6tyxgrlGLiGDQbM1kEGk+8ZGMpBzbCiDpEuqUHDwphapxNH6QmxO/V+WpBpv7xtSF2cqrBWX9AIFHFQPaQbCYaRUB58oiYV3i4X8TfVeHqhIjdaU0rpxbjMoMzMBdPT58+H9U2fJs6IYQ1Q7c8o0JFisf0BnjbK+bliFqCqbkvWF2tMlsdLBM3kW7VjXzuoOyfxLEhPbQ5LC6gtpntB5DYmRm3QajISjwwMZVJQSFiShr6NEkW1Pxkh6r9d6poLk3tTJn5bLK9XfUDoYUpHqSIk8iy8SiV1W6jEfr2hWzDJ1tFjI8VaO93IcvRav6RGr2hHkR4tFKyRMsAyJ8BzKiapQl9bTm0hocOVosNXh4hJZaWQqQrS/UeqxUXygqNZoXRNpYhlWaO6EREosIe5p+w4Qq2hpnamyqdDvkYyknlK0Byfqnti4gR/QqA+90RuQD588Nlx2kM0NTMkZSwvEp4j+OUhjrDyiU4YYrUsKV6HhPaypHamwgQr1KyZVoZMeQUZ17HpG68nsUnqcwW33y+D4pQr52NP/vEKsN12e+0KhVzalhpQUcEnq5OpCJWvof1YaaUzEkAzHUhrHi3dyvJ8G/vi/qwpxNnp0d73QXU/Zv1YfF4N5NaTOucj0lSJfrCb1yeMDWidaDwrmxev/aOmceNV4eqxJM5nBpaB1EyOZmbpyhIkUx43CAq1XDpniU9UIq49MPtng+9n5lTaQP5/UGTyga+g7J7bMvoq4DDKuRzNatgsQYY5BdHsa3Z5vrWkhgz7oPZYmOsihZK5TPp9jbWdjVDMdqgPyrmIwje5Haaepm8RPy85HKdi+zsYrzy4iYgqGvaBr0J0QZMPDjyFWyJDDz78sQbizfh2665a7UJz2vqnOOWGNYupxvZ0tZgtJgzokrrBrHwOFu+XqYKF47t1235D+xkrWu8j0yPPaoe1Wq47h7RCbaxjHBjJZtfomKPtbBrk10q/KkFiEt9sVJvoUXdvK5/uGomyTt5Is0UpxdEE0NsmzgXyNLtEfuPTqw9A1X6u/vnD9joPDR/SbfRIDZEOaWwPtbZtBSWgojvL/RGuqeXTloP1Pkvzs/PJ8eQ4Z4DSfnuVPZ+BFRNttL7EMX8m37Q4gy7tgbNtvN2wNjQ==
sidebar_class_name: "delete api-method"
info_path: docs/api/control-plane
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Delete a log configuration"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/controlplane/log/config/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Delete a specific log configuration by its ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The unique ID of the log configuration to delete."}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Log configuration successfully deleted."},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      